JNA API 3.3.0

## com.sun.jna.platform.unix
Class X11.Atom

    java.lang.Object
      java.lang.Number
          com.sun.jna.IntegerType
              com.sun.jna.NativeLong
                  com.sun.jna.platform.unix.X11.XID
                      com.sun.jna.platform.unix.X11.Atom

All Implemented Interfaces:
  NativeMapped, Serializable

Enclosing interface:
  X11

    public static class X11.Atom

extends X11.XID

See Also:
  Serialized Form

Field Summary
`static X11.Atom` | `None`

Fields inherited from class com.sun.jna.NativeLong
`SIZE`

Constructor Summary
`X11.Atom()`
`X11.Atom(long id)`

Method Summary
`Object` | `fromNative(Object nativeValue, FromNativeContext context)` Return constants for predefined `Atom` values.

Methods inherited from class com.sun.jna.platform.unix.X11.XID
`isNone, toString`

Methods inherited from class com.sun.jna.IntegerType
`doubleValue, equals, floatValue, hashCode, intValue, longValue, nativeType, setValue, toNative`

Methods inherited from class java.lang.Number
`byteValue, shortValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### None

    public static final X11.Atom None

Constructor Detail

### X11.Atom

    public X11.Atom()

### X11.Atom

    public X11.Atom(long id)

Method Detail

### fromNative

    public Object fromNative(Object nativeValue,
                             FromNativeContext context)

  Return constants for predefined `Atom` values.

  Specified by:
    `fromNative` in interface `NativeMapped`
  Overrides:
    `fromNative` in class `X11.XID`

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.